%define gtk_binary_version 2.2.0

Summary: Cursed GTK+ theme engines
Name: gtk2-cursed-engines
Version: 2.2.0
Release: 1
License: GPL
Group: X11/Libraries
Source: gtk-cursed-engines-%{version}.tar.gz
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines/
BuildRoot:/var/tmp/gtk-engines-%{PACKAGE_VERSION}-root

%description
These are the cursed engines for Cursed GTK+.
Included themes are:

  - Cursed (default cursed engine)
  - Mono (for monochrome temrinals)

%prep
%setup -n gtk-engines-%{version}

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
 ./autogen.sh
fi

%configure

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%makeinstall
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-cursed-2.0/%{gtk_binary_version}/engines/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-cursed-2.0/%{gtk_binary_version}/engines/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 26 2003 Johanka <johanka@ucw.cz>
- built

%files
%defattr(-, root, root)
%doc COPYING README NEWS ChangeLog
%{_datadir}/themes
%{_libdir}/gtk-cursed-2.0/%{gtk_binary_version}/engines/*.so
%{_libdir}/pkgconfig

